古いUbuntuを使っていて、apt-get updateなどが失敗する(404)

2014年2月13日

Ubuntuはサポートが切れたバージョンの場合

archive.ubuntu.com

から

old-releases.ubuntu.com

というドメインにパッケージが移動するようです。

ということで、

/etc/apt/sources.list

の中のドメイン名を変更してみます。

deb http://archive.ubuntu.com/ubuntu maverick main restricted universe
deb http://archive.ubuntu.com/ubuntu maverick-updates main restricted universe
deb http://archive.ubuntu.com/ubuntu maverick-security main restricted universe

となっているので、これを

deb http://old-releases.ubuntu.com/ubuntu maverick main restricted universe
deb http://old-releases.ubuntu.com/ubuntu maverick-updates main restricted universe
deb http://old-releases.ubuntu.com/ubuntu maverick-security main restricted universe

という感じに変更してみます。

これで正常にapt-get updateが通るようになりました。

アンケート

ubuntu

Posted by GENDOSU